Page MenuHomePhabricator

Establish shared library for pipeline code used in Jenkins
Closed, ResolvedPublic

Description

  • Create integration/pipelinelib repo in gerrit with limited access

[x ] Move shared functions from the integration/config repo to the pipeline repo

Event Timeline

thcipriani triaged this task as Normal priority.Jun 11 2018, 7:40 PM
thcipriani created this task.
thcipriani updated the task description. (Show Details)Jun 11 2018, 8:01 PM
dduvall claimed this task.Jun 25 2018, 4:41 PM
Vvjjkkii renamed this task from Establish shared library for pipeline code used in Jenkins to r8aaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed dduvall as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
thcipriani renamed this task from r8aaaaaaaa to Establish shared library for pipeline code used in Jenkins.Jul 1 2018, 6:48 PM
thcipriani assigned this task to dduvall.
thcipriani updated the task description. (Show Details)
dduvall lowered the priority of this task from High to Normal.Jul 2 2018, 5:03 PM

Change 442233 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[integration/pipelinelib@master] Provide Groovy library for invoking Blubber/Docker

https://gerrit.wikimedia.org/r/442233

Change 442233 merged by Dduvall:
[integration/pipelinelib@master] Provide Groovy library for invoking Blubber/Docker

https://gerrit.wikimedia.org/r/442233

thcipriani moved this task from Backlog to CI on the Release Pipeline board.Jul 9 2018, 7:29 PM
thcipriani moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.
dduvall changed the task status from Stalled to Open.Aug 3 2018, 6:29 PM

Blocker has been resolved.

Change 460724 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[integration/config@master] Refactor service-pipeline job to use integration/pipelinelib

https://gerrit.wikimedia.org/r/460724

Change 460724 merged by jenkins-bot:
[integration/config@master] Refactor service-pipeline job to use integration/pipelinelib

https://gerrit.wikimedia.org/r/460724

dduvall closed this task as Resolved.Sep 17 2018, 8:17 PM
dduvall updated the task description. (Show Details)